Name:           maven-changelog-plugin
Version:        2.2
Release:        1%{?dist}
Summary:        Maven Changelog Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-changelog-plugin/
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-changelog-plugin-2.2/
#tar zcf maven-changelog-plugin-2.2.tar.gz maven-changelog-plugin-2.2/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

#BuildRequires: maven-project
#BuildRequires: maven-plugin-api
#BuildRequires: maven-model
#BuildRequires: maven-settings
#BuildRequires: maven-reporting-api
#BuildRequires: maven-reporting-impl
#BuildRequires: doxia-sink-api
#BuildRequires: doxia-site-renderer
#BuildRequires: doxia-decoration-model
#BuildRequires: maven-scm-api
#BuildRequires: maven-scm-manager-plexus
#BuildRequires: maven-scm-provider-bazaar
#BuildRequires: maven-scm-provider-clearcase
#BuildRequires: maven-scm-provider-gitexe
#BuildRequires: maven-scm-provider-hg
#BuildRequires: maven-scm-provider-cvsexe
#BuildRequires: maven-scm-provider-cvsjava
#BuildRequires: maven-scm-provider-local
#BuildRequires: maven-scm-provider-perforce
#BuildRequires: maven-scm-provider-starteam
#BuildRequires: maven-scm-provider-svnexe
#BuildRequires: maven-scm-provider-svn-commons
#BuildRequires: maven-scm-provider-synergy
#BuildRequires: maven-scm-provider-vss
#BuildRequires: plexus-utils
#BuildRequires: xml-apis
#BuildRequires: junit
#BuildRequires: maven-plugin-testing-harness
#BuildRequires: plexus-container-default
#Requires: maven-project
#Requires: maven-plugin-api
#Requires: maven-model
#Requires: maven-settings
#Requires: maven-reporting-api
#Requires: maven-reporting-impl
#Requires: doxia-sink-api
#Requires: doxia-site-renderer
#Requires: doxia-decoration-model
#Requires: maven-scm-api
#Requires: maven-scm-manager-plexus
#Requires: maven-scm-provider-bazaar
#Requires: maven-scm-provider-clearcase
#Requires: maven-scm-provider-gitexe
#Requires: maven-scm-provider-hg
#Requires: maven-scm-provider-cvsexe
#Requires: maven-scm-provider-cvsjava
#Requires: maven-scm-provider-local
#Requires: maven-scm-provider-perforce
#Requires: maven-scm-provider-starteam
#Requires: maven-scm-provider-svnexe
#Requires: maven-scm-provider-svn-commons
#Requires: maven-scm-provider-synergy
#Requires: maven-scm-provider-vss
#Requires: plexus-utils
#Requires: xml-apis
#Requires: junit
#Requires: maven-plugin-testing-harness
#Requires: plexus-container-default

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven2
BuildRequires: maven2-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-shared
BuildRequires: maven-doxia
BuildRequires: maven-scm
BuildRequires: plexus-utils
BuildRequires: junit
BuildRequires: maven-plugin-testing-harness
BuildRequires: plexus-container-default

Requires:       java
Requires:       jpackage-utils

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Produce SCM changelog reports.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q #You may need to update this according to your Source0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.apache.maven.plugins maven-changelog-plugin %{version} JPP maven-changelog-plugin

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon May 31 2010 Hui Wang <huwang@redhat.com> -2.2-1
- Inital version of the package